/**
 * 初始化channelplanMemberPatent详情对话框
 */
var ChannelplanMemberPatentInfoDlg = {
    channelplanMemberPatentInfoData : {}
};

/**
 * 清除数据
 */
ChannelplanMemberPatentInfoDlg.clearData = function() {
    this.channelplanMemberPatentInfoData = {};
}

/**
 * 设置对话框中的数据
 *
 * @param key 数据的名称
 * @param val 数据的具体值
 */
ChannelplanMemberPatentInfoDlg.set = function(key, val) {
    this.channelplanMemberPatentInfoData[key] = (typeof val == "undefined") ? $("#" + key).val() : val;
    return this;
}

/**
 * 设置对话框中的数据
 *
 * @param key 数据的名称
 * @param val 数据的具体值
 */
ChannelplanMemberPatentInfoDlg.get = function(key) {
    return $("#" + key).val();
}

/**
 * 关闭此对话框
 */
ChannelplanMemberPatentInfoDlg.close = function() {
    parent.layer.close(window.parent.ChannelplanMemberPatent.layerIndex);
}

/**
 * 收集数据
 */
ChannelplanMemberPatentInfoDlg.collectData = function() {
    this
    .set('id')
    .set('memberId')
    .set('endTime')
    .set('name')
    .set('country')
    .set('owner')
    .set('description')
    .set('createTime')
    .set('createUser')
    .set('updateTime')
    .set('updateUser');
}

/**
 * 提交添加
 */
ChannelplanMemberPatentInfoDlg.addSubmit = function() {

    this.clearData();
    this.collectData();

    //提交信息
    var ajax = new $ax(Feng.ctxPath + "/api/channelplanMemberPatent/add", function(data){
        Feng.success("添加成功!");
        window.parent.ChannelplanMemberPatent.table.refresh();
        ChannelplanMemberPatentInfoDlg.close();
    },function(data){
        Feng.error("添加失败!" + data.responseJSON.message + "!");
    });
    ajax.set(this.channelplanMemberPatentInfoData);
    ajax.start();
}

/**
 * 提交修改
 */
ChannelplanMemberPatentInfoDlg.editSubmit = function() {

    this.clearData();
    this.collectData();

    //提交信息
    var ajax = new $ax(Feng.ctxPath + "/api/channelplanMemberPatent/update", function(data){
        Feng.success("修改成功!");
        window.parent.ChannelplanMemberPatent.table.refresh();
        ChannelplanMemberPatentInfoDlg.close();
    },function(data){
        Feng.error("修改失败!" + data.responseJSON.message + "!");
    });
    ajax.set(this.channelplanMemberPatentInfoData);
    ajax.start();
}

$(function() {

});
